//
//  DemoAppConfig.swift
//  AdmobSDKTest
//
//  Created by Charles Wang on 2023/7/26.
//

import Foundation
import UIKit


protocol AdConfig {
    var title: String { get }
    var viewController: UIViewController { get }
}

struct AdMobBanner320x50: AdConfig {
    var title: String = "Banner 320x50"
        
    var viewController: UIViewController = BannerViewController(adType: .banner320X50, adUnitId: AdUnitID.AdMob.banner320x50)
}

struct AdMobBanner300x250: AdConfig {
    var title: String = "Banner 300x250"
    
    var viewController: UIViewController = BannerViewController(adType: .banner300x250, adUnitId: AdUnitID.AdMob.banner300x250)
}

struct AdMobBanner1200x627: AdConfig {
    var title: String = "Banner 1200x627"
    
    var viewController: UIViewController = BannerViewController(adType: .banner1200x627, adUnitId: AdUnitID.AdMob.banner1200x627)
}

struct AdMobInterstitial: AdConfig {
    var title: String = "Interstitial"
        
    var viewController: UIViewController = InterstitialViewController(adUnitId: AdUnitID.AdMob.interstitial)
}

struct AdMobNative: AdConfig {
    var title: String = "Native"
        
    var viewController: UIViewController = NativeAdViewController(adUnitId: AdUnitID.AdMob.native)
}

struct GAMBanner320x50: AdConfig {
    var title: String = "Banner 320x50"
    var viewController: UIViewController = GAMBannerViewController(adType: .banner320X50, adUnitId: AdUnitID.GAM.banner320x50)
}

struct GAMBanner300x250: AdConfig {
    var title: String = "Banner 300x250"
    
    var viewController: UIViewController = GAMBannerViewController(adType: .banner300x250, adUnitId: AdUnitID.GAM.banner300x250)
}

struct GAMInterstitial: AdConfig {
    var title: String = "Interstitial"
        
    var viewController: UIViewController = GAMInterstitialViewController(adUnitId: AdUnitID.GAM.interstitial)
}

struct GAMNativeVideo: AdConfig {
    var title: String = "Native Video"
    
    var viewController: UIViewController = NativeAdViewController(adUnitId: AdUnitID.GAM.native)
}

struct GAMNativeImage: AdConfig {
    var title: String = "Native Image"
    
    var viewController: UIViewController = NativeAdViewController(adUnitId: AdUnitID.GAM.nativeImage)
}
