//
//  TableViewDataSource.swift
//  AdmobSDKTest
//
//  Created by Mira on 2021/6/16.
//

import UIKit

class TableViewDataSource: NSObject, UITableViewDataSource, UITableViewDelegate {
    let demoAd: [AdConfig]
    
    init(demoAd: [AdConfig]) {
        self.demoAd = demoAd
    }
    
    var didSelectRowHandler: ((AdConfig) -> Void)?
        
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 80
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return demoAd.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        guard let cell = tableView.dequeueReusableCell(withIdentifier: "TableViewCell", for: indexPath) as? TableViewCell else {
            return UITableViewCell()
        }
        cell.setItemName(with: demoAd[indexPath.row].title)
        return cell
    }
    
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        self.didSelectRowHandler?(demoAd[indexPath.row])
    }
}

enum AdType: String {
    case banner320X50, banner1200x627, banner300x250, interstitial, nativeAd
}

