//
//  ViewController.swift
//  AdmobSDKTest
//
//  Created by Mira on 2021/6/16.
//

import UIKit

class DemoListViewController: UIViewController {
    var demoAd: [AdConfig] = []
    
    @IBOutlet weak var mainTableView: UITableView!
    @IBOutlet weak var versionLabel: UILabel!
    
    private var tableViewDS: TableViewDataSource!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        tableViewDS = TableViewDataSource(demoAd: demoAd)
        mainTableView.delegate = tableViewDS
        mainTableView.dataSource = tableViewDS
        mainTableView.register(UINib(nibName: "TableViewCell", bundle: nil), forCellReuseIdentifier: "TableViewCell")
        self.tableViewDS.didSelectRowHandler = { adConfig in
            let vc = adConfig.viewController
            vc.title = adConfig.title
            self.navigationController?.pushViewController(vc, animated: true)
        }        
        
        let version  = Bundle.main.infoDictionary?["CFBundleShortVersionString"] as? String ?? ""
        let buildNumber = Bundle.main.infoDictionary?["CFBundleVersion"] as? String ?? ""
        versionLabel.text = version + "(\(buildNumber))"
    }
}

